This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 462525 - TCP silly window syndrome, overly large packets > mtu
TCP silly window syndrome, overly large packets > mtu
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-16 17:08 EDT by Wolfgang Rupprecht
Modified: 2009-07-14 10:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:22:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
wireshark dump of the large packets and wildly oscillating flow rates (163.00 KB, application/x-tcpdump)
2008-09-16 17:12 EDT, Wolfgang Rupprecht
no flags Details

  None (edit)
Description Wolfgang Rupprecht 2008-09-16 17:08:42 EDT
Description of problem:
I'm seeing some extreme weirdness on a long-running tcp stream for a 1.2GB http file transfer.  1) packets almost 2x the MTU of the interface are being sent out to the internet.
2) I'm not getting hit with any icmp must fragments.  huh????
3) the output is oscillating between 2x the desired rate and 0 with a frequency of 1 second.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Run thttpd, configure a throttle for 12.8kBytes/sec
2. have the remote end download a 1.2GByte file
3. watch the flow using fedora's network monitor.  All will be well for a few  hours and then oscillations in the packet flow rate will break out.

sorry, I am not sure how reproducible this is, if at all

Actual results:
A non-steady steady tcp flow with constant sinusoidal oscillations in the 
system monitor presented "network history" curve.
packets larger than the MTU are being sent regularly.  

Expected results:
A steady tcp flow
No packets larger than the MTU being sent

Additional info:

2.6.26.3-29.fc9.x86_64 #1 SMP Wed Sep 3 03:16:37 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux

eth0      Link encap:Ethernet  HWaddr 00:E0:81:56:8D:67  
          inet addr:64.142.50.224  Bcast:64.142.50.255  Mask:255.255.255.0
          inet6 addr: 2001:5a8:4:7d1::1/64 Scope:Global
          inet6 addr: fe80::2e0:81ff:fe56:8d67/64 Scope:Link
          inet6 addr: 2001:5a8:4:7d1::666/64 Scope:Global
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:691955 errors:0 dropped:0 overruns:0 frame:0
          TX packets:484658 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:135468985 (129.1 MiB)  TX bytes:684114014 (652.4 MiB)
          Interrupt:23 Base address:0x6000 

kernel: forcedeth: Reverse Engineered nForce ethernet driver. Version 0.61.
kernel: forcedeth 0000:00:0a.0: ifname eth0, PHY OUI 0x5043 @ 1, addr 00:e0:81:56:8d:67
kernel: forcedeth 0000:00:0a.0: highdma csum timirq gbit lnktim desc-v3

I'll add an attachment of a short wireshark tcpdump showing the oscillations and overly large packets.
Comment 1 Wolfgang Rupprecht 2008-09-16 17:12:57 EDT
Created attachment 316907 [details]
wireshark dump of the large packets and wildly oscillating flow rates

note the packets of > 2962 bytes on an interface with a 1500 byte MTU
Comment 2 Bug Zapper 2009-06-09 22:44:17 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 10:22:16 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.